> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get rate



## OpenAPI

````yaml /openapi.json get /exchange/rates/{id}
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /exchange/rates/{id}:
    get:
      tags:
        - exchange
      summary: Get rate
      operationId: Exchange.Web.RateController.get_rate
      parameters:
        - description: Rate ID
          example: 3f27a046-314d-457f-b39b-1ec30561353d
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateResponse'
          description: Rate
        '404':
          $ref: '#/components/responses/not_found'
      callbacks: {}
components:
  schemas:
    RateResponse:
      description: Response schema for a single order
      properties:
        data:
          $ref: '#/components/schemas/Rate'
      title: RateResponse
      type: object
    Rate:
      description: Currency rate
      example:
        buy: 1200
        created_at: '2025-01-21T11:56:45Z'
        entity:
          id: 397752fb-92e6-404a-b6e4-d9d72f1379f9
          type: business
        id: 83b16397-d524-4619-b30f-e5e77b1b8d17
        pair: USD-NGN
        sell: 1100
        ttl: 60
        updated_at: '2025-01-21T11:56:46Z'
      properties:
        buy:
          description: Buy price, in major units
          type: string
        entity:
          properties:
            id:
              description: Account id
              type: string
            type:
              description: Account type
              enum:
                - business
                - personal
              type: string
          type: object
        id:
          description: Rate ID
          type: string
        pair:
          description: Currency pair
          type: string
        sell:
          description: Sell price, in major units
          type: string
        ttl:
          description: Price ttl, in seconds
          type: integer
        updated_at:
          description: Update timestamp
          format: date-time
          type: string
      title: Rate
      type: object
  responses:
    not_found:
      content:
        application/json:
          schema:
            type: string
      description: Not Found

````